AccessibleResourceBundle (Java Platform SE 8 )
Keywords: javax.accessibility.AccessibleResourceBundle class
Date: 2026-01-21

javax.accessibility

## Class AccessibleResourceBundle

- java.lang.Object
- - java.util.ResourceBundle
  - - java.util.ListResourceBundle
    - - javax.accessibility.AccessibleResourceBundle

- Deprecated.
  This class is deprecated as of version 1.3 of the Java Platform.

      @Deprecated
      public class AccessibleResourceBundle
      extends ListResourceBundle

  A resource bundle containing the localized strings in the accessibility package. This is meant only for internal use by Java Accessibility and is not meant to be used by assistive technologies or applications.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessibleResourceBundle()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[][]` | `getContents()` Deprecated. Returns the mapping between the programmatic keys and the localized display strings.

    - ### Methods inherited from class java.util.ListResourceBundle

      `getKeys, handleGetObject, handleKeySet`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessibleResourceBundle

          public AccessibleResourceBundle()

      Deprecated.

  - ### Method Detail

    - #### getContents

          public Object[][] getContents()

      Deprecated.
      Returns the mapping between the programmatic keys and the localized display strings.
      Specified by:
        `getContents` in class `ListResourceBundle`
      Returns:
        an array of an `Object` array representing a key-value pair.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.